BDU:2018-00091: Уязвимость функции post_load (hw/input/ps2.c) эмулятора аппаратного обеспечения QEMU, позволяющая нарушителю выполнить чтение за границами буфера в динамической памяти

Описание уязвимости Уязвимость функции post_load (hw/input/ps2.c) эмулятора аппаратного обеспечения QEMU связана с некорректной проверкой входных данных. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, выполнить чтение за границами буфера в динамической памяти
Вендор Фабрис Беллар
Наименование ПО QEMU
Версия ПО
Тип ПО ПО виртуализации/ПО виртуального программно-аппаратного средства
Операционные системы и аппаратные платформы
  • Сообщество свободного программного обеспечения Linux . x64
  • Сообщество свободного программного обеспечения Linux . x32
  • Apple Inc. Mac OS X x32
  • Microsoft Corp. Windows . x64
  • Microsoft Corp. Windows . x32
  • Вендор не указан Unix . x64
  • Вендор не указан Unix . x32
  • Apple Inc. Mac OS X x64
Тип ошибки Чтение за границами буфера
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 15.11.2017
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 10)
Возможные меры по устранению уязвимости
Использование рекомендаций:
https://lists.gnu.org/archive/html/qemu-devel/2017-11/msg02982.html
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения